<launch>
  <arg name="model" default="$(find rover)/urdf/rover.urdf.xacro"/>
  <arg name="rvizconfig" default="$(find rover)/rviz/urdf.rviz" />

  <include file="$(find rover)/launch/gazebo.launch">
    <arg name="model" value="$(arg model)" />
  </include>

  <node name="rviz" pkg="rviz" type="rviz" args="-d $(arg rvizconfig)" />

  <rosparam command="load"
            file="$(find rover)/config/diffdrive.yaml"
            ns="rover_diff_drive_controller" />

  <rosparam command="load"
            file="$(find rover)/config/jointstate.yaml"
            ns="rover_joint_state_controller" />

  <node name="rover_controller_spawner" pkg="controller_manager" type="spawner"
    args="rover_diff_drive_controller rover_joint_state_controller
          --shutdown-timeout 3"/>

  <node name="rqt_robot_steering" pkg="rqt_robot_steering" type="rqt_robot_steering">
    <param name="default_topic" value="/rover_diff_drive_controller/cmd_vel"/>
  </node>
</launch>
